/***************************************************************
 * Name:      gridmapSimulApp.cpp
 * Purpose:   Code for Application Class
 * Author:    Jose-Luis Blanco (jlblanco@ctima.uma.es)
 * Created:   2008-06-04
 * Copyright: Jose-Luis Blanco ()
 * License:
 **************************************************************/

#include "gridmapSimulApp.h"

//(*AppHeaders
#include "gridmapSimulMain.h"
#include <wx/image.h>
//*)
#include <wx/stdpaths.h>
#include <wx/log.h>


IMPLEMENT_APP(gridmapSimulApp)

#include <mrpt/core.h>

using namespace mrpt;
using namespace mrpt::slam;
using namespace mrpt::opengl;
using namespace mrpt::system;
using namespace mrpt::math;
using namespace mrpt::utils;
using namespace std;



bool gridmapSimulApp::OnInit()
{
/*    // Process cmd line arguments (for the case of opening a file):
    if (argc>1)
        global_fileToOpen = wxString(wxApp::argv[1]).mb_str();
*/

    //(*AppInitialize
    bool wxsOK = true;
    wxInitAllImageHandlers();
    if ( wxsOK )
    {
    	gridmapSimulFrame* Frame = new gridmapSimulFrame(0);
    	Frame->Show();
    	SetTopWindow(Frame);
    }
    //*)
    return wxsOK;

}

int gridmapSimulApp::OnExit()
{
    return 0;
}

// This is to avoid a warning due to a conflict btw wxWidgets and opencv 1.1.0
//  related to OLE initialization (See http://trac.wxwidgets.org/ticket/10505 )
bool gridmapSimulApp::Initialize( int& argc, wxChar **argv )
{
#ifdef MRPT_OS_WINDOWS
	::CoUninitialize();
#endif

	return wxApp::Initialize( argc, argv );
}



